package com.ifish.service;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.ifish.entity.AdInfo;
import com.ifish.entity.GoldTask;
import com.ifish.entity.Grade;
import com.ifish.entity.GradeTask;
import com.ifish.entity.HardwareType;
import com.ifish.entity.IfishGoods;
import com.ifish.entity.VenderList;

/** 
 * @ClassName: CacheService 
 * @Description: TODO 
 * @author ggw
 *  
 */
public interface CacheService {
	
	/**
	 * 获取资讯信息
	 * @return
	 */
	public List<JSONObject> getInformation();
	
	/**
	 * 获取等级信息
	 * @return
	 */
	public List<Grade> getGradeList();
	
	/**
	 * 获取等级规则
	 * @return
	 */
	public GradeTask getGradeRule(String id);
	
	/**
	 * 获取金币规则
	 * @return
	 */
	public GoldTask getGoldRule(String id);
	
	/**
	 * 获取等级规则list
	 * @return
	 */
	public List<GradeTask> getGradeRuleList();
	
	/**
	 * 获取金币规则list
	 * @return
	 */
	public List<GoldTask> getGoldRuleList();
	
	/**
	 * 根据ID查询电子厂
	 * @param key
	 * @return
	 */
	public VenderList findVenderListById(String id);
	
	/**
	 * 根据ID获取硬件类型
	 * @param key
	 * @return
	 */
	public HardwareType findHardwareTypeById(String id);
	
	/**
	 * 广告位信息
	 * @param adType
	 * @return
	 */
	public List<AdInfo> getAdInfoList(int adType);
	
	/**
	 * 商品信息
	 * @param goodsPlace
	 * @return
	 */
	public List<IfishGoods> getIfishGoodsList(int goodsPlace);
}
